
Redmine - Defect #20591

PDF export does not determine picture (.png) height correctly

2015-08-21 14:03 - Marwijn Hessel

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: 2.6.8   

Resolution: Fixed Affected version: 3.1.0

Description

When exporting a redmine page as PDF. Somehow the height of pictures (.png) is not determined correctly. When there are more

pictures on a page, in the PDF export these are laying on top of each other (see example in attachment).

Associated revisions

Revision 14813 - 2015-11-07 12:02 - Toshi MARUYAMA

update rbpdf version to 1.18.7 (#20591, #20811)

Revision 14814 - 2015-11-07 12:05 - Toshi MARUYAMA

Merged r14813 from trunk to 3.1-stable (#20591, #20811)

update rbpdf version to 1.18.7.

Revision 14815 - 2015-11-07 12:07 - Toshi MARUYAMA

Merged r14813 from trunk to 3.0-stable (#20591, #20811)

update rbpdf version to 1.18.7.

Revision 14816 - 2015-11-07 12:11 - Toshi MARUYAMA

Merged r14813 from trunk to 2.6-stable (#20591, #20811)

update rbpdf version to 1.18.7.

History

#1 - 2015-09-11 08:04 - Toshi MARUYAMA

- Status changed from New to Confirmed

I have created issue.

https://github.com/naitoh/rbpdf/issues/25

#2 - 2015-09-12 17:00 - Jun NAITOH

Marwijn Hessel wrote:

When exporting a redmine page as PDF.

Somehow the height of pictures (.png) is not determined correctly.

When there are more pictures on a page, in the PDF export these are laying on top of each other (see example in attachment).

 I can't reproduced.

Can you have reproduced pictures?

#3 - 2015-09-15 08:31 - Marwijn Hessel

- File ExampleProjectEditing.png added

- File Vocam_IDE_Logging.png added

There is no relation with the used pictures and this issue.

When exporting to PDF the height of any picture is incorrect.

Sometimes they will be placed on top of each other, sometimes there is one picture per page (when multiple does fit).
I tried different picture formats (like BMP, JPG, PNG), it does not change a thing ...

When looking into the produced HTML code of redmine, the picture height (and width) is not mentioned in the <img> tag. Which should be

accordingly to W3C (http://www.w3schools.com/tags/tag_img.asp).

This is only guessing if this has any relation with this issue (but it is no correct HTML).

When printing the page all goes well, pictures are on the place where they should be.

#4 - 2015-10-10 00:33 - Jun NAITOH

I reproduced this problem.

This is the bug of rbpdf with PNG alpha channel picture.

#5 - 2015-11-03 08:08 - Jun NAITOH

This problem fixed by rbpdf 1.18.7.

please bundle update.

#6 - 2015-11-07 11:56 - Toshi MARUYAMA

- Priority changed from Urgent to Normal

- Target version set to 2.6.8

#7 - 2015-11-07 14:09 - Toshi MARUYAMA

- Status changed from Confirmed to Closed

- Resolution set to Fixed

I have updated rbpdf to 1.18.7 in trunk, 3.1-stable, 3.0-stable and 2.6-stable, thanks.

Files

on-top.png 202 KB 2015-08-21 Marwijn Hessel

Vocam_IDE_Logging.png 8.3 KB 2015-09-15 Marwijn Hessel

ExampleProjectEditing.png 105 KB 2015-09-15 Marwijn Hessel
